Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Interface JimiImageFactory

All Known Subinterfaces:
  JimiImageFactoryProxy

All Known Implementing Classes:
  VMemJimiImageFactory, MemoryJimiImageFactory, OneshotJimiImageFactory

public abstract interface JimiImageFactory

Factory interface for creating JimiImages.

Method Summary
`BitRasterImage` | `createBitRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`ByteRasterImage` | `createByteRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`ChanneledIntRasterImage` | `createChanneledIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`IntRasterImage` | `createIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`

Method Detail

### createIntRasterImage

    public IntRasterImage createIntRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)
                                        throws JimiException

### createByteRasterImage

    public ByteRasterImage createByteRasterImage(int w,
                                                 int h,
                                                 java.awt.image.ColorModel cm)
                                          throws JimiException

### createBitRasterImage

    public BitRasterImage createBitRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)
                                        throws JimiException

### createChanneledIntRasterImage

    public ChanneledIntRasterImage createChanneledIntRasterImage(int w,
                                                                 int h,
                                                                 java.awt.image.ColorModel cm)
                                                          throws JimiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD